# sample_four.py

"""

ZetCode wxPython tutorial.

In this example, how we can enable
and disable toolbar buttons.
We also add a separator line.

Author : Jan Bodnar
Website : zetcode.com
Last modified : July 2020

"""

import wx

# class MyFrame
# def main

#---------------------------------------------------------------------------

class MyFrame(wx.Frame):
    def __init__(self, *args, **kwargs):
        super(MyFrame, self).__init__(*args, **kwargs)

        self.InitUI()

    #-----------------------------------------------------------------------

    def InitUI(self):
        self.count = 5

        self.toolbar = self.CreateToolBar()
        tundo = self.toolbar.AddTool(wx.ID_UNDO, '', wx.Bitmap('./bitmaps/undo.png'))
        tredo = self.toolbar.AddTool(wx.ID_REDO, '', wx.Bitmap('./bitmaps/redo.png'))
        self.toolbar.EnableTool(wx.ID_REDO, False)
        self.toolbar.AddSeparator()
        texit = self.toolbar.AddTool(wx.ID_EXIT, '', wx.Bitmap('./bitmaps/exit.png'))
        self.toolbar.Realize()

        self.Bind(wx.EVT_TOOL, self.OnQuit, texit)
        self.Bind(wx.EVT_TOOL, self.OnUndo, tundo)
        self.Bind(wx.EVT_TOOL, self.OnRedo, tredo)

        self.SetIcon(wx.Icon('./icons/icon_wxWidgets.ico', wx.BITMAP_TYPE_ICO))
        self.SetSize((380, 250))
        self.SetTitle('Enable / disable toolbar buttons')

        self.Centre()


    def OnUndo(self, event):
        if self.count > 1 and self.count <= 5:
            self.count = self.count - 1


        if self.count == 1:
            self.toolbar.EnableTool(wx.ID_UNDO, False)

        if self.count == 4:
            self.toolbar.EnableTool(wx.ID_REDO, True)


    def OnRedo(self, event):
        if self.count < 5 and self.count >= 1:
            self.count = self.count + 1

        if self.count == 5:
            self.toolbar.EnableTool(wx.ID_REDO, False)

        if self.count == 2:
            self.toolbar.EnableTool(wx.ID_UNDO, True)


    def OnQuit(self, event):
        self.Close()

#---------------------------------------------------------------------------
        
def main():

    app = wx.App()
    ex = MyFrame(None)
    ex.Show()
    app.MainLoop()

#---------------------------------------------------------------------------
    
if __name__ == '__main__':
    main()
