# sample_one.py

"""

ZetCode wxPython tutorial.

In this example, a message is
displayed on the statusbar.

Author : Jan Bodnar
Website : zetcode.com
Last modified : april 2007

"""

import wx

# class MyFrame
# class MyApp

#---------------------------------------------------------------------------

class MyFrame(wx.Frame):
    def __init__(self, parent, id, title):
        wx.Frame.__init__(self, parent, id, title,
                          wx.DefaultPosition, wx.Size(350, 250))

        self.SetIcon(wx.Icon('./icons/icon_wxWidgets.ico', wx.BITMAP_TYPE_ICO))
        self.SetBackgroundColour("gray")

        #------------

        toolbar = wx.ToolBar(self, -1, style=wx.TB_HORIZONTAL | wx.NO_BORDER)
        toolbar.AddTool(1, "New", wx.Image('./bitmaps/new.png',
                        wx.BITMAP_TYPE_PNG).ConvertToBitmap(),
                        wx.NullBitmap, wx.ITEM_NORMAL, 'New', "Long help for 'New'.", None)
        toolbar.AddTool(2, "Open", wx.Image('./bitmaps/open.png',
                        wx.BITMAP_TYPE_PNG).ConvertToBitmap(),
                        wx.NullBitmap, wx.ITEM_NORMAL, 'Open', "Long help for 'Open'.", None)
        toolbar.AddTool(3, "Save", wx.Image('./bitmaps/save.png',
                        wx.BITMAP_TYPE_PNG).ConvertToBitmap(),
                        wx.NullBitmap, wx.ITEM_NORMAL, 'Save', "Long help for 'Save'.", None)
        toolbar.AddSeparator()
        toolbar.AddTool(4, "Exit", wx.Image('./bitmaps/exit.png',
                        wx.BITMAP_TYPE_PNG).ConvertToBitmap(),
                        wx.NullBitmap, wx.ITEM_NORMAL, 'Exit', "Long help for 'Exit'.", None)
        toolbar.Realize()

        #------------
        
        vbox = wx.BoxSizer(wx.VERTICAL)

        vbox.Add(toolbar, 0, border=5)

        self.SetSizer(vbox)

        #------------
        
        self.statusbar = self.CreateStatusBar()

        #------------
        
        self.Bind(wx.EVT_TOOL, self.OnNew, id=1)
        self.Bind(wx.EVT_TOOL, self.OnOpen, id=2)
        self.Bind(wx.EVT_TOOL, self.OnSave, id=3)
        self.Bind(wx.EVT_TOOL, self.OnExit, id=4)

        #------------
        
        self.Centre()

    #-----------------------------------------------------------------------
        
    def OnNew(self, event):
        self.statusbar.SetStatusText('New Command.')


    def OnOpen(self, event):
        self.statusbar.SetStatusText('Open Command.')


    def OnSave(self, event):
        self.statusbar.SetStatusText('Save Command.')


    def OnExit(self, event):
        self.Close()

#---------------------------------------------------------------------------
        
class MyApp(wx.App):
    def OnInit(self):
        frame = MyFrame(None, -1, 'wx.Toolbar')
        frame.Show(True)
        
        return True

#---------------------------------------------------------------------------
    
app = MyApp(0)
app.MainLoop()
